Class | Fog::Compute::Brightbox::ServerGroup
In: | lib/fog/brightbox/models/compute/server_group.rb
Parent: | Fog::Model

A server group is a collection of servers

Certain actions can accept a server group and affect all members

### Methods

add_servers destroy move_servers remove_servers save server_references servers

### Public Instance methods

add_servers(identifiers)

Adds specified servers to this server group

@param [Array] identifiers array of server identifier strings to add @return [Fog::Compute::ServerGroup]

destroy()
move_servers(identifiers, destination_group_id)

Moves specified servers from this server group to the specified destination server group

@param [Array] identifiers array of server identifier strings to move @param [String] destination_group_id destination server group identifier @return [Fog::Compute::ServerGroup]

remove_servers(identifiers)

Removes specified servers from this server group

@param [Array] identifiers array of server identifier strings to remove @return [Fog::Compute::ServerGroup]

save()
servers()

### Protected Instance methods

server_references(identifiers)

[Validate]